/* This file provides routines to convert a string from one of cp437, cp850,
 * or ascii to iso-latin-1 and vice-versa.  This does unfortunately not mean
 * that it is possible to convert between the two DOS codepages with iso-latin
 * as an intermediate format, as most DOS graphics characters are absent from
 * iso-latin.  However, as far as pure text is concerned, the conversion is
 * possible.
 *
 * Btw, it's called cconvert as it converts between different character-sets.
 */

#ifndef CCONVERT_H
#define CCONVERT_H

#define cp437  0
#define latin1 1
#define cp850  2
#define ascii  3

#define NUM_CP 4

extern char cp_name[NUM_CP][10];

/* to can be NULL, as realloc will be used to alloc memory as needed.
 * The function returns a pointer to the (possibly new) location of
 * to, allocated with realloc() --- so *to should be either NULL or
 * point to a location previously allocated with malloc() or one of
 * its relatives... */
char *cconvert(char*  from,
	       int    from_coding_system,
	       char** to,
	       int    to_coding_system);

char* recode(char string[],	       /* array to recode (in place) */
             int  n,		       /* max size of array */
						 int  the_coding_system);

#endif
